# Ansible

## List all tags

```shell
ansible-playbook -i host.targets -v site.yml --list-tags
```

## Start at a specific task (life savior)

```shell
ansible-playbook -i host.targets -v site.yml --start-at-task "The audacious task"
```

## List hosts

```shell
ansible-playbook -i host.targets -v site.yml --list-hosts
```

## Limit hosts

```shell
ansible-playbook -i host.targets -v site.yml --limit hostname
```

## Jinja2, templates & carriage return

To tell Jinja2 to not mess with carriage return in templates add

```
#jinja2: trim_blocks:False
---
```

at the top of the template file